<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg.utils package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="py_arg.stability package" href="py_arg.stability.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="py_arg.html">py_arg package</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="py_arg.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="py_arg.html#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
          <li><a href="py_arg.html">py_arg package</a> &raquo;</li>
      <li>py_arg.utils package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.utils.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-utils-package">
<h1>py_arg.utils package<a class="headerlink" href="#py-arg-utils-package" title="Permalink to this headline"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline"></a></h2>
</section>
<section id="module-py_arg.utils.fixpoint">
<span id="py-arg-utils-fixpoint-module"></span><h2>py_arg.utils.fixpoint module<a class="headerlink" href="#module-py_arg.utils.fixpoint" title="Permalink to this headline"></a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="py_arg.utils.fixpoint.get_least_fixed_point">
<span class="sig-prename descclassname"><span class="pre">py_arg.utils.fixpoint.</span></span><span class="sig-name descname"><span class="pre">get_least_fixed_point</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">function</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">Callable</span><span class="p"><span class="pre">[</span></span><span class="p"><span class="pre">[</span></span><span class="pre">py_arg.utils.fixpoint.T</span><span class="p"><span class="pre">]</span></span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">py_arg.utils.fixpoint.T</span><span class="p"><span class="pre">]</span></span></span></em>, <em class="sig-param"><span class="n"><span class="pre">function_input</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">py_arg.utils.fixpoint.T</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">py_arg.utils.fixpoint.T</span></span></span><a class="headerlink" href="#py_arg.utils.fixpoint.get_least_fixed_point" title="Permalink to this definition"></a></dt>
<dd><p>Get the least fixed point of a given function, by applying this function until the result did not change any more.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>function</strong> – The function that should be applied iteratively.</p></li>
<li><p><strong>function_input</strong> – Initial input.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>Least fixed point output.</p>
</dd>
</dl>
<div class="doctest highlight-default notranslate"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">get_least_fixed_point</span><span class="p">(</span><span class="k">lambda</span> <span class="n">x</span><span class="p">:</span> <span class="nb">min</span><span class="p">(</span><span class="n">x</span> <span class="o">+</span> <span class="mi">1</span><span class="p">,</span> <span class="mi">5</span><span class="p">),</span> <span class="mi">0</span><span class="p">)</span>
<span class="go">5</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">get_least_fixed_point</span><span class="p">(</span><span class="k">lambda</span> <span class="n">x</span><span class="p">:</span> <span class="n">x</span><span class="p">[</span><span class="mi">1</span><span class="p">:],</span> <span class="p">[</span><span class="s1">&#39;a&#39;</span><span class="p">,</span> <span class="s1">&#39;b&#39;</span><span class="p">,</span> <span class="s1">&#39;c&#39;</span><span class="p">])</span>
<span class="go">[]</span>
</pre></div>
</div>
</dd></dl>

</section>
<section id="module-py_arg.utils">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg.utils" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="py_arg.stability.html" class="btn btn-neutral float-left" title="py_arg.stability package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>